### Function

# Vips class_find

#### Declaration [src]

    const VipsObjectClass*
    vips_class_find (
      const char* basename,
      const char* nickname
    )

#### Description [src]

Search below `basename`, return the first class whose name or `nickname` matches.

See also

`vips_type_find()`.

#### Parameters

`basename`

  Type: `const char*`

  Name of base class.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nickname`

  Type: `const char*`

  Search for a class with this nickname.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `VipsObjectClass`

The found class.

The data is owned by the called function.